Summary: LibreSchool proxy server
Name: libreschool-proxy
Version: 1.0.1
Release: 1.ns7
License: GPL
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-root
Source0: %{name}-%{version}.tar.gz
Source1: COPYING
URL: %{url_prefix}/%{name}
Requires: libreschool-release
Requires: libreschool-client-manager
Requires: nethserver-squid
Requires: perl-autodie
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
BuildRequires: nethserver-devtools
BuildRequires: systemd

%description
LibreSchool proxy server customizations

%prep
%setup

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -not -name '*.orig' -print  | cpio -dump $RPM_BUILD_ROOT)
%{genfilelist} $RPM_BUILD_ROOT                   > %{name}-%{version}-%{release}-filelist
echo "%doc COPYING"                             >> %{name}-%{version}-%{release}-filelist

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)


%post
# enable proxy, enable disk cache and set to 10Gb
/sbin/e-smith/db configuration setprop squid \
  status enabled \
  DiskCache enabled \
  DiskCacheSize 1048576

/etc/e-smith/events/actions/initialize-default-databases
/sbin/e-smith/expand-template /etc/squid/squid.conf
/sbin/e-smith/expand-template /etc/ansible/reconfigure_clients.yml
/sbin/e-smith/expand-template /srv/ipxe/default_preseed.txt

/sbin/e-smith/signal-event runlevel-adjust
/sbin/e-smith/signal-event firewall-adjust


%postun
#if [ "$1" = 1 ]; then
#  #upgrade
#fi
if [ "$1" = 0 ]; then
  #uninstallation
  /sbin/e-smith/expand-template /etc/squid/squid.conf
  /sbin/e-smith/expand-template /etc/ansible/reconfigure_clients.yml
  /sbin/e-smith/expand-template /srv/ipxe/default_preseed.txt
  /sbin/e-smith/signal-event runlevel-adjust
  /sbin/e-smith/signal-event firewall-adjust
fi

%changelog
* Wed Apr 1 2020 Paolo Asperti <paolo@asperti.com> - 1.0.1-1.ns7
- Fix gconf override file name

* Tue Mar 31 2020 Paolo Asperti <paolo@asperti.com> - 1.0.0-1.ns7
- First release for NethServer 7
